<?php

//* Load the configuration file
require('config.inc.php');

//* Create the SOAP client connection
$client = new SoapClient(null, array('location' => $soap_location,
                                     'uri'      => $soap_uri,
									 'trace' => 1,
									 'exceptions' => 1));


try {
	//* Login as remote user
	if($session_id = $client->login($username,$password)) {
		echo 'Logged successfull. Session ID:'.$session_id.'<br />';
	}
	
	//* We will create a invouce for the client with the following ID
	$client_id = 4;
	
	//* Optional parameters to override the client address or client settings
	$params = array();
	
	//* Add the invoice
	$invoice_id = $client->billing_invoice_add($session_id, $client_id, $params);
	echo 'InvoiceID: '.$invoice_id.'<br />';
	
	//* Add invoice item to the invoice
	$params = array(
		'quantity' => 1,
		'price' => 6.99,
		'vat' => 0,
		'description' => 'Hosting package A for one month.'
	);
	$client->billing_invoice_item_add($session_id, $invoice_id, $params);
	echo 'Added invoice item: '.$params['description'].'<br />';
	
	//* Add a second invoice item
	$params = array(
		'quantity' => 1,
		'price' => 20,
		'vat' => 0,
		'description' => 'Support plan C.'
	);
	$client->billing_invoice_item_add($session_id, $invoice_id, $params);
	echo 'Added invoice item: '.$params['description'].'<br />';
	
	//* Finalize (close) the invoice and create the PDF file
	$client->billing_invoice_finalize($session_id, $invoice_id);
	echo 'Finalized the invoice<br />';
	
	//* Send invoice by email with the following email template to the
	//  email address stored in the client settings
	$email_template_id = 1;
	$client->billing_invoice_send($session_id, $invoice_id, $email_template_id);
	echo 'Send the invoice by email<br />';
	
	// Logout remote user
	if($client->logout($session_id)) {
		echo 'Logged out.<br />';
	}
	
	
} catch (SoapFault $e) {
	echo $client->__getLastResponse().'<br />';
	die('SOAP Error: '.$e->getMessage());
}

?>
