<?php

//* Load the configuration file
require('config.inc.php');

$client = new SoapClient(null, array('location' => $soap_location,
                                     'uri'      => $soap_uri,
									 'trace' => 1,
									 'exceptions' => 1));


try {
	//* Login as remote user
	if($session_id = $client->login($username,$password)) {
		echo 'Logged successfull. Session ID:'.$session_id.'<br />';
	}
	
	//* Set the client_id
	$client_id = 1;
	
	//* Max number of invoices returned by this function call
	$number = 10;
	
	//* Get all invoics of the client with client_id
	$invoices = $client->billing_invoice_get_by_client($session_id, $client_id, $number);
	
	echo '<pre>'.print_r($invoices).'</pre>';
	
	// Logout remote user
	if($client->logout($session_id)) {
		echo 'Logged out.<br />';
	}
	
	
} catch (SoapFault $e) {
	echo $client->__getLastResponse().'<br />';
	die('SOAP Error: '.$e->getMessage());
}

?>
