<?php

//* Load the configuration file
require('config.inc.php');

//* Create the SOAP client connection
$client = new SoapClient(null, array('location' => $soap_location,
                                     'uri'      => $soap_uri,
									 'trace' => 1,
									 'exceptions' => 1));


try {
	//* Login as remote user
	if($session_id = $client->login($username,$password)) {
		echo 'Logged successfull. Session ID:'.$session_id.'<br />';
	}
	
	//* Fetch the PDF file from the following invoice ID
	$invoice_id = 58;
	
	//* Save the PDF file in the following path
	$file_path = 'invoice.pdf';
	
	//* Get the PDF file content (base64 encoded)
	$content = $client->billing_invoice_get_pdf($session_id, $invoice_id);
	
	//* Decode the content
	$content_decoded = base64_decode($content);
	
	//* Save the pdf file to disk
	file_put_contents($file_path,$content_decoded);
	
	// Logout remote user
	if($client->logout($session_id)) {
		echo 'Logged out.<br />';
	}
	
	
} catch (SoapFault $e) {
	echo $client->__getLastResponse().'<br />';
	die('SOAP Error: '.$e->getMessage());
}

?>
